### Method

# Gtk PadControllerset_action_entries

#### Declaration [src]

    void
    gtk_pad_controller_set_action_entries (
      GtkPadController* controller,
      const GtkPadActionEntry* entries,
      int n_entries
    )

#### Description [src]

A convenience function to add a group of action entries on `controller`.

See `GtkPadActionEntry` and `gtk_pad_controller_set_action()`.

#### Parameters

`entries`

  Type: An array of `GtkPadActionEntry`

  The action entries to set on `controller`.

  The length of the array is specified in the `n_entries` argument.
  The data is owned by the caller of the method.

`n_entries`

  Type: `int`

  The number of elements in `entries`.